<?php /* Template name: One-Page */ ?> 

<?php get_header(); ?>

<div id="content">

	<?php 
	$kanso_sd_pageids = array();
	$kanso_sd_currentpageid = $post->ID;
	if (function_exists('kanso_sd_get_option_tree') ) {
		$kanso_sd_pageids = kanso_sd_get_option_tree('onepage_pages','',false,true,-1);
	}
	$kanso_sd_array_errors = array_filter($kanso_sd_pageids);
	if (empty($kanso_sd_array_errors)) {
		$kanso_sd_pageids = array_filter($kanso_sd_pageids);
	}
	if (!empty($kanso_sd_pageids)) {
		$wp_query = new WP_Query( array( 'post_type' => 'page', 'post_status' => 'publish', 'post__in' => $kanso_sd_pageids, 'orderby' => 'menu_order', 'posts_per_page' => -1 ) );	
	} else {
		$wp_query = new WP_Query( array( 'post_type' => 'page', 'post_status' => 'publish', 'orderby' => 'menu_order', 'posts_per_page' => -1 ) );
	}
    if ($wp_query->have_posts()) { while ($wp_query->have_posts()) { $wp_query->the_post(); ?>
    	<?php 
		global $post;
		$kanso_sd_allpermalink = get_permalink($post->ID);
		if ( $kanso_sd_currentpageid != $post->ID ) {
		?>
        <?php 
		if ( basename( get_page_template() ) == 'page_large-text.php' ) { 
			$kanso_sd_largetextclass = ' page-large-text';
		}
		if ( basename( get_page_template() ) == 'page_google-map.php' ) { 
			$kanso_sd_gmapclass = ' page-google-map';
		} 
		if (get_post_meta( $post->ID, '_cmb_page_parallax_bck', true ) == true ) { 
			$kanso_sd_parallax_holder = ' parallax'; 
		}
		?>
        <div class="page-holder<?php echo $kanso_sd_largetextclass.$kanso_sd_gmapclass.$kanso_sd_parallax_holder; ?>" id="page-holder-<?php echo $post->ID; ?>">
        	<?php
			$kanso_sd_onepage_background_color = get_post_meta( $post->ID, '_cmb_page_background_color', true );
			$kanso_sd_onepage_background_image = get_post_meta( $post->ID, '_cmb_page_background_image', true );
			if ( get_post_meta( $post->ID, '_cmb_page_background_repeat', true ) == 'repeat' ) {
				$kanso_sd_onepage_background_repeat = 'repeat';	
			} else {
				$kanso_sd_onepage_background_repeat = 'no-repeat';	
			}
			$kanso_sd_onepage_heading_color = get_post_meta( $post->ID, '_cmb_page_heading_color', true );
			$kanso_sd_onepage_body_color = get_post_meta( $post->ID, '_cmb_page_body_color', true );
			?>
			<style type="text/css"> 
				#page-holder-<?php echo $post->ID; ?> { 
					background-color: <?php echo $kanso_sd_onepage_background_color; ?>;
					<?php if (!get_post_meta( $post->ID, '_cmb_page_parallax_bck', true )) { echo 'background-size: cover;'; } ?> 
				}
				#page-holder-<?php echo $post->ID; ?> .page-content, 
				#page-holder-<?php echo $post->ID; ?> .page-content a { 
					color: <?php echo $kanso_sd_onepage_body_color; ?>;  
				}
				#page-holder-<?php echo $post->ID; ?> .page-title h2 a { 
					color: <?php echo $kanso_sd_onepage_heading_color; ?>; 
					border-color: <?php echo $kanso_sd_onepage_heading_color; ?>; 
				}
				#page-holder-<?php echo $post->ID; ?> .page-content h2, 
				#page-holder-<?php echo $post->ID; ?> .page-content h3, 
				#page-holder-<?php echo $post->ID; ?> .page-content h4, 
				#page-holder-<?php echo $post->ID; ?> .page-content h5, 
				#page-holder-<?php echo $post->ID; ?> .page-content h6 {
					color: <?php echo $kanso_sd_onepage_heading_color; ?>;	
				}
				#page-holder-<?php echo $post->ID; ?> { 
					background-image: url('<?php echo $kanso_sd_onepage_background_image; ?>'); 
					background-repeat: <?php echo $kanso_sd_onepage_background_repeat; ?> ;
					background-size: initial;
					<?php if ( $kanso_sd_onepage_background_repeat == 'no-repeat' ) { echo 'background-size: cover;'; } ?> 
				}
				<?php if ( get_post_meta( $post->ID, '_cmb_title_above', true ) ) { ?>
				#page-holder-<?php echo $post->ID; ?> .page-title h2 {
					max-width: 100%;
					float: none;	
				}
				#page-holder-<?php echo $post->ID; ?> .content-container-inner {
					width: 100%;
					float: none;
					margin-top: 50px;	
				}
				<?php } ?>
            </style>
            <?php if ( basename( get_page_template() ) != 'page_google-map.php' ) { include 'part_page-header.php'; } ?>
            <div class="post-edit-container container">
            	<div class="post-edit">
                	<?php edit_post_link(); ?>
                </div>
            </div>
            <?php 
			if ( basename( get_page_template() ) == 'page_google-map.php' ) { 
				the_content();
			} else {
				if ( get_post_meta( $post->ID, '_cmb_page_title', true ) == false ) { ?>
                <div class="page-title container">
                    <h2>
                    	<a>
                        	<?php the_title(); ?>
                        </a>
                    </h2>
                </div>
            <?php 
			} 
			if ( !empty ( $post->post_excerpt ) ) { 
			?>
            <div class="container excerpt-container">
                <div class="page-excerpt">
                    <?php echo $post->post_excerpt; ?>
                </div>
                <div class="clearboth"></div>
            </div>
            <?php } else { ?>
			<style type="text/css">
			#page-holder-<?php echo $post->ID; ?> .page-title h2 a { line-height: 1em; }
			</style>
			<?php if ( basename( get_page_template() ) == 'page_portfolio.php' ) { ?>
            <style type="text/css">
			#page-holder-<?php echo $post->ID; ?> .page-title h2 { float: none; }
			</style>
            <?php } } if ( $post->post_content ) { ?>
            <div class="post-content page-content container">
            	<div class="content-container-inner">
                	<?php the_content(); ?>
                	<div class="clearboth"></div>
                </div>
            </div>
            <?php } ?>
            <?php if ( basename( get_page_template() ) == 'page_portfolio.php' ) { ?>
            <div class="portfoliosep">
            </div>
            <div class="portfolio-filter container" style="width: 100%; margin-bottom: 20px;">
            	<div class="portfolio-filter-item" id="portfolio-filter-item-all">
                	<a href="#" data-filter="*">
						<?php echo __('All','satori'); ?>
                    </a>
                </div>
            	<?php 
				$kanso_sd_portfolio_types = get_terms('tagportfolio');
				foreach ( $kanso_sd_portfolio_types as $kanso_sd_portfolio_type ) { ?>
            	<div class="portfolio-filter-item">
                	<a href="#" data-filter=".<?php echo $kanso_sd_portfolio_type->slug; ?>">
						<?php echo $kanso_sd_portfolio_type->name; ?>
                    </a>
                </div>
                <?php } ?>
                <div class="clear">
                </div>
            </div>
			<div id="portfolio-list-wrapper" class="container">
            	<div id="portfolio-list">
					<?php 
					if ( function_exists('kanso_sd_get_option_tree') ) { 
						if ( is_string ( kanso_sd_get_option_tree('pppp') ) ) { 
							$kanso_sd_pppp = kanso_sd_get_option_tree('pppp'); 
						} else { 
							$kanso_sd_pppp = 6; 
						} 
					} else {
						$kanso_sd_pppp = 6;
					}
                    $kanso_sd_order = 'DESC';
                    $kanso_sd_orderby = 'date';
                    if ( function_exists('kanso_sd_get_option_tree') ) { 
                        if ( kanso_sd_get_option_tree('portfolio_order') == "Ascending" ) { 
                            $kanso_sd_order = 'ASC';
                        } else {
                            $kanso_sd_order = 'DESC';
                        }
                    }
                    if ( function_exists('kanso_sd_get_option_tree') ) { 
                        if ( kanso_sd_get_option_tree('portfolio_orderby') == "Date modified" ) { 
                            $kanso_sd_orderby = 'modified';
                        } else if ( kanso_sd_get_option_tree('portfolio_orderby') == "Comment count" ) {
                            $kanso_sd_orderby = 'comment_count';
                        } else {
                            $kanso_sd_orderby = 'date';
                        }
                    }
					$kanso_sd_temp_query = $wp_query;
					wp_reset_query();
                    $kanso_sd_portfolio_query = new WP_Query( array( 'posts_per_page' => $kanso_sd_pppp , 'post_type' => 'project' , 'order' => $kanso_sd_order, 'orderby' => $kanso_sd_orderby ) );
                    if ($kanso_sd_portfolio_query->have_posts()) { while ($kanso_sd_portfolio_query->have_posts()) { $kanso_sd_portfolio_query->the_post(); ?>
                    <?php get_template_part( 'content', get_post_format() );
                    } }
					wp_reset_query();
					$wp_query = $kanso_sd_temp_query;
                    ?>
                </div>
            </div>
            <?php 
			$kanso_sd_project_amount = wp_count_posts('project');
			if ( $kanso_sd_project_amount->publish > $kanso_sd_pppp ) { 
			?>
            <div class="full-link container" id="portfolio-full-link">
            	<a href="<?php echo $kanso_sd_allpermalink; ?>" class="nofancybox">
                    <div class="full-link-button">
                    	<?php echo __('See All','satori').' &rsaquo;'; ?>
                    </div>
                </a>
           	</div>
            
			<?php } } ?>
            <?php if ( basename( get_page_template() ) == 'page_blog-posts.php' ) { ?>
			<div id="post-list-wrapper" class="container">
            	<div id="post-list">
					<?php 
                    wp_reset_postdata();
					if ( function_exists('kanso_sd_get_option_tree') ) { 
						if ( is_string ( kanso_sd_get_option_tree('bppp') ) ) { 
							$kanso_sd_bppp = kanso_sd_get_option_tree('bppp'); 
						} else { 
							$kanso_sd_bppp = 2; 
						} 
					} else {
						$kanso_sd_bppp = 2;
					}
                    $kanso_sd_blog_query = new WP_Query( array( 'posts_per_page' => $kanso_sd_bppp , 'post_type' => 'post' ) );
                    if ($kanso_sd_blog_query->have_posts()) { while ($kanso_sd_blog_query->have_posts()) { $kanso_sd_blog_query->the_post(); ?>
                    <div class="post">
						<?php 
                        if ( get_post_type($post->ID) == 'post' && has_post_thumbnail($post->ID) ) { 
                            echo '<div class="featured-thumbnail">'; the_post_thumbnail(); echo '</div><div class="clearboth"></div>'; 
                        } 
                        ?>
                        <div class="post-header">
                            <h2><a href="<?php the_permalink() ?>" title="<?php the_title(); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
                        </div><!--.post-header-->
                        <div class="post-content">
                            <?php $kanso_sd_readmore = __('Read more', 'satori' ).' &rsaquo;'; global $more; $more = 0; the_content($kanso_sd_readmore); ?>
                        </div>
                        <?php include 'part_post-meta.php'; ?> 
                        <div class="clearboth"></div>   
                    </div>
                    <?php } } ?>
                </div>
            </div>
            <div class="clearboth"></div>
            <div class="full-link container" id="portfolio-full-link">
            	<a href="<?php echo $kanso_sd_allpermalink; ?>" class="nofancybox">
                    <div class="full-link-button">
                    	<?php echo __('See All','satori').' &rsaquo;'; ?>
                    </div>
                </a>
           	</div>	
			<?php } } ?>
            <div class="clearboth"></div>
        </div>
    <?php }
	$kanso_sd_headerheight = null;
	$kanso_sd_headerimage = null;
	$kanso_sd_largetextclass = null;
	$kanso_sd_parallax_holder = null;
	$kanso_sd_gmapclass = null;
	} } 
	?>
			
</div><!--#content-->

<?php get_footer(); ?>